osmo_timer_list Struct Reference
Osmocom timers

A structure representing a single instance of a timer. More...

`#include <timer.h>`

## Data Fields

struct rb_node | node
| rb-tree node header More...
struct llist_head | list
| internal list header More...
struct timeval | timeout
| expiration time More...
unsigned int | active: 1
| is it active? More...
void(* | cb )(void *)
| call-back called at timeout More...
void * | data
| user data for callback More...

## Detailed Description

A structure representing a single instance of a timer.

## Field Documentation

## active

unsigned int osmo_timer_list::active

is it active?

Referenced by osmo_timer_add(), osmo_timer_del(), and osmo_timer_pending().

## cb

void(* osmo_timer_list::cb) (void *)

call-back called at timeout

Referenced by osmo_timer_setup(), and osmo_timers_update().

## data

void* osmo_timer_list::data

user data for callback

Referenced by osmo_timer_setup(), and osmo_timers_update().

## list

struct llist_head osmo_timer_list::list

internal list header

Referenced by osmo_timer_add(), osmo_timer_del(), and osmo_timers_update().

## node

struct rb_node osmo_timer_list::node

rb-tree node header

Referenced by __add_timer(), osmo_timer_del(), osmo_timers_prepare(), and osmo_timers_update().

## timeout

struct timeval osmo_timer_list::timeout

expiration time

Referenced by __add_timer(), osmo_timer_remaining(), osmo_timer_schedule(), osmo_timers_prepare(), and osmo_timers_update().

The documentation for this struct was generated from the following file:

- include/osmocom/core/timer.h